Bug 846554 - [RFE][TestPlan][Tree View]"Remove child node from current plan" can not be update after adding/removing child node.
[RFE][TestPlan][Tree View]"Remove child node from current plan" can not be up...
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.8.0
Unspecified Linux
low Severity low
: ---
: 4.0
Assigned To: cqi
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 02:45 EDT by xubai
Modified: 2016-05-26 09:17 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen (55.14 KB, image/png)
2012-08-08 02:45 EDT, xubai
no flags Details

  None (edit)
Description xubai 2012-08-08 02:45:40 EDT
Created attachment 602950 [details]
screen

Filed from caserun (INSERT URL HERE)

Version-Release number of selected component (if applicable):
3.8.0-7 on stage

Steps to Reproduce: 
have entered into a plan.


1.Click the "Tree View" label.
2.Click "Add/Remove child node to current plan XX" label, make sure that the plan has no child before adding or remove all chilren.
3.Input some plan's id as child id.
4.Click "Ok" button.
5.Click "Submit" button.
6.Click "Ok" button.


Actual results: 
1. Add child node for a plan has no child before. or remove all the children to a plan.
2. The button above can not be refreshed automatically after the tree view is reloaded. Users should refresh the page, then,
- Add "Remove child node from current plan xx"
- Remove "Remove child node from current plan xx"

Expected results:

2. The button above should be refreshed automatically after the tree view is reloaded.
- Add "Remove child node from current plan xx"
- Remove "Remove child node from current plan xx"
Comment 1 cqi 2013-12-21 09:19:31 EST
Same as Bug 1026185

That has been fixed.
Comment 2 yangqiu 2014-03-20 23:35:57 EDT
Verify the bug in version 3.8.6-2 on qa server.--->Pass

1.System always show "Add/Remove child node to current plan XX" link in plan's tree view tab. 
2."Remove child node to current plan XX" link only enabled when current test plan has at least one child plan.

Note You need to log in before you can comment on or make changes to this bug.